Download it now!
Bug 76948 - FORMATTING: Document not nearly like the Word document
Summary: FORMATTING: Document not nearly like the Word document
Status: CLOSED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other All
: medium normal
Assignee: Chris Kruger
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-02 12:43 UTC by Chris Kruger
Modified: 2015-02-13 15:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
An 'PDF' of what it looks like from Word and the 'docx' that looks BAD in Lebreoffice (691.57 KB, application/zip)
2014-04-02 12:43 UTC, Chris Kruger
Details
BRS_BaaN_MyMarket_Integrations_v5.docx (253.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-11-13 04:04 UTC, Robinson Tryon (qubit)
Details
BRS_BaaN_MyMarket_Integrations_v5.pdf (538.58 KB, application/pdf)
2014-11-13 04:04 UTC, Robinson Tryon (qubit)
Details
Description of problem and files referred to by it (815.30 KB, application/zip)
2015-02-13 15:09 UTC, Chris Kruger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Kruger 2014-04-02 12:43:02 UTC
Created attachment 96780 [details]
An 'PDF' of what it looks like from Word and the 'docx' that looks BAD in Lebreoffice

Problem description: 
I attach a 'PDF' of what a particular document looks like when opened in 'Word'.
Also attached is the actual Document.
Open in even the LATEST Libreoffice and see that it only resembles the Word document in some places.

This has been the case ever since I moved to Libreoffice from Openoffice (where it also never worked)

Steps to reproduce:
1. View PDF attached for details
2. Open 'docx' in Libreoffice
3. Observe the differences and try to correct for all of us please.

Current behavior:
No good

Expected behavior:
To be like the Word counterpart (to enable me to convince my large International client to switch over to Libreoffice...)

              
Operating System: All
Version: 4.2.2.1 release
Comment 1 sophie 2014-04-14 16:12:12 UTC
Hi, please file one bug per problem, some may be already filled and could be duplicate of the problems you encountered. I set this one as need info, please look at the other existing bug on word import and fill this one with a specific problem. Thanks - Sophie.
Comment 2 Chris Kruger 2014-04-15 04:51:34 UTC
(In reply to comment #1)
> Hi, please file one bug per problem, some may be already filled and could be
> duplicate of the problems you encountered. I set this one as need info,
> please look at the other existing bug on word import and fill this one with
> a specific problem. Thanks - Sophie.

Sorry !
I do not understand 'one bug per problem' - my complaint states that the document is not nearly like it should be (as can be seen from the 'PDF' done from Word).
There are way too many differences to name all - just open the document in Libreoffice and see that it only somewhat resembles what you see in MS Word.

Regards
Chris
Comment 3 sophie 2014-04-15 07:21:53 UTC
Hi, please read our documentation on filling bugs here:
https://wiki.documentfoundation.org/BugReport#Submitting_a_bug
Thanks, Sophie
Comment 4 QA Administrators 2014-11-02 16:46:39 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 5 Urmas 2014-11-02 18:05:25 UTC
No source file available for testing.
Comment 6 Chris Kruger 2014-11-03 05:34:34 UTC
The attachment contains a document that when opened in Libreoffice does not look anything like when opened in Microsoft Word.
It ALSO contains a 'PDF' sample of what it actually looks like when opened in MS Word.
I can not describe the problems in any other way - just open the document in Libreoffice and compare the results to the 'PDF' file.
Comment 7 Joel Madero 2014-11-04 16:30:57 UTC
Version is oldest version, not newest version confirmed on.

Moving to UNCONFIRMED as I don't see that this was ever confirmed by QA team.
Comment 8 Robinson Tryon (qubit) 2014-11-13 04:04:08 UTC
Created attachment 109377 [details]
BRS_BaaN_MyMarket_Integrations_v5.docx

Re-upload docx directly as attachment to bug
Comment 9 Robinson Tryon (qubit) 2014-11-13 04:04:33 UTC
Created attachment 109378 [details]
BRS_BaaN_MyMarket_Integrations_v5.pdf

Re-upload pdf directly as attachment to bug
Comment 10 Robinson Tryon (qubit) 2014-11-13 04:47:10 UTC
(In reply to Chris Kruger from comment #6)
> The attachment contains a document that when opened in Libreoffice does not
> look anything like when opened in Microsoft Word.

Hi Chris,

Testing with LO 4.4.0.0.alpha2 + Ubuntu 14.04, the rendering of the document looks pretty close to what I see in the PDF provided.

> I can not describe the problems in any other way - just open the document in
> Libreoffice and compare the results to the 'PDF' file.

Under "3.1 Self Billing", the layout of the chart with "Invoice Received", "Creditors Control", etc... headings seems very overlapping in LO, with pieces not appearing in the expected position (as they are in the PDF)." I think this may be mostly due to font-substitution issues.

Do you have LibreOffice installed on the same machine, and can it use all of these fonts (e.g. Tahoma, Calibri, Cambria) ? If so, please get the latest 'Fresh' release of LibreOffice, create a PDF export, and attach it to this bug:
https://www.libreoffice.org/download/

(When you've done that, please change the status back to UNCONFIRMED. Thanks!)

Status -> NEEDINFO
Comment 11 QA Administrators 2015-02-11 20:02:25 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11
Comment 12 Chris Kruger 2015-02-13 15:09:05 UTC
Created attachment 113369 [details]
Description of problem and files referred to by it

Attachment explains problem and files involved to test with
Comment 13 Joel Madero 2015-02-13 15:12:47 UTC
This is being closed again as INVALID. Again there needs to be one report per bug which means that you can't just provide a document and say "it doesn't look like word." Identify specific things that aren't the same and report one bug per issue.

Also all descriptions of the issue with reproducible steps should be in the bug itself - not in an attachment.

Thanks
Comment 14 Chris Kruger 2015-02-13 15:17:38 UTC
OK - delete the submission - I will abandon my effort of trying to get corporations to switch to LibreOffice
Comment 15 Joel Madero 2015-02-13 15:20:15 UTC
If said corporation is interested in getting paid support - feel free to email me and we can get them in contact with someone. If said corporation instead wants to use the product for free and report bugs that don't comply with our bug reporting standards...then yes, we will leave this as closed. Good luck